using UnityEngine;

public class ActionAdvertiser : MonoBehaviour
{
    public string actionName;
    public string needName; // e.g. "Bladder", "Hygiene"
    public float effectAmount = 40f;
    public Sprite icon;
    public int progressDuration;
    
    private float spawnTime;

    
    private void Awake()
    {
        spawnTime = Time.time;
    }

    public bool CanBeSeenByGrandma(float minLifetime)
    {
        return Time.time - spawnTime >= minLifetime;
    }
    
    public void SetProgressDuration(int duration)
    {
        progressDuration = duration;
    }
    

}
